Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.controller
Class MultiPartEnabledRequest

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              com.tonbeller.wcf.controller.MultiPartEnabledRequest

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

public class MultiPartEnabledRequest
extends javax.servlet.http.HttpServletRequestWrapper

This request supports also forms with encoding "multipart/form-data" that is used for file upload. For this kind of forms tomcat (J2EE reference) request implementations always returns null from function getParameter()

MultiPartEnabledRequest is a decorator

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`MultiPartEnabledRequest(javax.servlet.http.HttpServletRequest req)`

Method Summary
`org.apache.commons.fileupload.FileItem` | `getFileParameter(java.lang.String name)`
`java.util.Map` | `getFileParameterMap()`
`java.util.Enumeration` | `getFileParameterNames()`
`org.apache.commons.fileupload.FileItem[]` | `getFileParameterValues(java.lang.String name)`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Map` | `getParameterMap()`
`java.util.Enumeration` | `getParameterNames()`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`boolean` | `isMultipart()`

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper
`getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from class javax.servlet.ServletRequestWrapper
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocale, getLocales, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletRequest
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocale, getLocales, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

Constructor Detail

### MultiPartEnabledRequest

    public MultiPartEnabledRequest(javax.servlet.http.HttpServletRequest req)

Method Detail

### isMultipart

    public boolean isMultipart()

### getParameter

    public java.lang.String getParameter(java.lang.String name)

### getFileParameter

    public org.apache.commons.fileupload.FileItem getFileParameter(java.lang.String name)

### getParameterMap

    public java.util.Map getParameterMap()

### getFileParameterMap

    public java.util.Map getFileParameterMap()

### getParameterNames

    public java.util.Enumeration getParameterNames()

### getFileParameterNames

    public java.util.Enumeration getFileParameterNames()

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

### getFileParameterValues

    public org.apache.commons.fileupload.FileItem[] getFileParameterValues(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD